# AppRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Name** | **string** | Name of this application. Application names must be unique within an account. | [default to null]
**Description** | **string** | Description of this application. | [optional] [default to null]
**AddGroups** | **[]string** | An array of Security Group IDs to add to this application. | [default to null]
**DelGroups** | **[]string** | An array of security group IDs to remove from this application. | [optional] [default to null]
**DefaultGroup** | **string** | The default group of this application. This is the group where security objects will be created by default by this application. | [default to null]
**Enabled** | **bool** | Whether this application is enabled | [optional] [default to null]
**AppType** | **string** | The user-defined type of this application. | [optional] [default to null]
**Credential** | [***AppCredential**](AppCredential.md) |  | [optional] [default to null]
**SecretSize** | **int32** | Size in bytes of app&#39;s secret. | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


