# ChildAccountUserRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**ChildAcctId** | **string** | Account id of child account | [default to null]
**UserEmail** | **string** | User&#39;s email address. | [default to null]
**AccountRole** | [**[]UserAccountFlags**](UserAccountFlags.md) |  | [optional] [default to null]
**AddGroups** | [***UserGroupMap**](UserGroupMap.md) | The user will be added to the specified security groups with the specified roles. | [optional] [default to null]
**DelGroups** | [***UserGroupMap**](UserGroupMap.md) | The user will be removed from the specified security groups. | [optional] [default to null]
**ModGroups** | [***UserGroupMap**](UserGroupMap.md) | The user&#39;s role in the specified groups will be updated to the specified roles. | [optional] [default to null]
**Enabled** | **bool** | Whether this application is enabled. | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


