# \ChildAccountsApi

All URIs are relative to *https://apps.smartkey.io*

Method | HTTP request | Description
------------- | ------------- | -------------
[**CreateChildAccount**](ChildAccountsApi.md#CreateChildAccount) | **Post** /sys/v1/accounts/child | Create a new child account
[**GetChildAccounts**](ChildAccountsApi.md#GetChildAccounts) | **Get** /sys/v1/accounts/{account-id}/child | Get all child accounts of the given account


# **CreateChildAccount**
> Account CreateChildAccount(ctx, body)
Create a new child account

Create a new child account with the specified properties.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **body** | [**AccountRequest**](AccountRequest.md)| Properties to assign to Account. | 

### Return type

[**Account**](Account.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

# **GetChildAccounts**
> []Account GetChildAccounts(ctx, accountId)
Get all child accounts of the given account

Get all child accounts of the given account.

### Required Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ctx** | **context.Context** | context for logging, tracing, authentication, etc.
  **accountId** | **string**| Account Identifier | 

### Return type

[**[]Account**](Account.md)

### Authorization

[bearerToken](../README.md#bearerToken)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

