# ApprovalRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**RequestId** | **string** | UUID uniquely identifying this approval request. | [default to null]
**Requester** | [***Entity**](Entity.md) |  | [default to null]
**CreatedAt** | **string** | When this approval request was created. | [default to null]
**AcctId** | **string** | The account ID of the account that this approval request belongs to. | [default to null]
**Operation** | **string** | Operation URL path, e.g. &#x60;/crypto/v1/keys&#x60;, &#x60;/crypto/v1/groups/&lt;id&gt;&#x60;. | [default to null]
**Method** | **string** | Method for the operation: POST, PATCH, PUT, DELETE, or GET. Default is POST.  | [default to null]
**Body** | [***interface{}**](interface{}.md) |  | [default to null]
**Approvers** | [**[]Entity**](Entity.md) |  | [default to null]
**Denier** | [***Entity**](Entity.md) |  | [default to null]
**Status** | [***ApprovalStatus**](ApprovalStatus.md) |  | [default to null]
**Reviewers** | [**[]Entity**](Entity.md) |  | [default to null]
**Subjects** | [**[]ApprovalSubject**](ApprovalSubject.md) |  | [default to null]
**Description** | **string** | Optional comment about the approval request for the reviewer. | [optional] [default to null]
**Expiry** | **string** | When this approval request expires. | [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


