# DecryptRequestEx

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Key** | [***SobjectDescriptor**](SobjectDescriptor.md) |  | [default to null]
**Alg** | [***ObjectType**](ObjectType.md) |  | [optional] [default to null]
**Cipher** | **string** | The ciphertext to decrypt. | [default to null]
**Mode** | [***CryptMode**](CryptMode.md) |  | [optional] [default to null]
**Iv** | **string** | The initialization value used to encrypt this ciphertext. This field is required for symmetric ciphers, and ignored for asymmetric ciphers.  | [optional] [default to null]
**Ad** | **string** | The authenticated data used with this ciphertext and authentication tag. This field is required for symmetric ciphers using cipher mode GCM or CCM, and must not be specified for all other ciphers.  | [optional] [default to null]
**Tag** | **string** | The authentication tag used with this ciphertext and authenticated data. This field is required for symmetric ciphers using cipher mode GCM or CCM, and must not be specified for all other ciphers.  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


