# SignRequest

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**HashAlg** | [***DigestAlgorithm**](DigestAlgorithm.md) |  | [default to null]
**Hash** | **string** | Hash of the data to be signed. Exactly one of &#x60;hash&#x60; and &#x60;data&#x60; is required.  | [optional] [default to null]
**Data** | **string** | Data to be signed. Exactly one of &#x60;hash&#x60; and &#x60;data&#x60; is required. To reduce request size and avoid reaching the request size limit, prefer &#x60;hash&#x60;. When using Ed25519 keys, a distinction is made between providing the message directly in &#x60;data&#x60; and providing a prehashed value in &#x60;hash&#x60;. Providing a full message results in an \&quot;Ed25519\&quot; signature while providing &#x60;hash&#x60; results in an \&quot;Ed25519ph\&quot; signature, which is not compatible. See RFC 8032 for details.  | [optional] [default to null]
**Mode** | [***SignatureMode**](SignatureMode.md) |  | [optional] [default to null]
**DeterministicSignature** | **bool** |  | [optional] [default to null]

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


